Subject: Re: [PATCH 0/3] Dual EMAC mode implementation of CPSW

From: Mugunthan V N <[email-masked]>
Date: Mon, 22 Apr 2013 22:31:38 +0530

On 4/22/2013 7:37 PM, Mark Jackson wrote:
> Mugunthan
>
> Can you confirm that I'm actually trying to achieve the right thing ?
>
> I have all along assumed that Dual EMAC mode would simply provide the
> kernel will a pair of independent Ethernet ports.
Yes, it will provide two network interfaces for ex eth0 and eth1
> All I am trying to do is to get both Ethernet ports working so I can
> have one port on (say) 10.0.x.x and the other on (say) 10.1.x.x
This is perfectly correct
> But there is all this reference to VLANs(in the source code and the TRM)
> ... I have not setup any VLANs.  Do I need to ?  If so, how ?
No need to setup any VLAN. VLAN are used to segregate the
two down stream ports and it will be taken care by the driver

Regards
Mugunthan V N